Bug 1316478 - OData throws unknown error if $select is applied to expanded entity
OData throws unknown error if $select is applied to expanded entity
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 05:59 EST by Juraj Duráni
Modified: 2016-08-24 07:36 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:36:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4045 Major Resolved OData throws unknown error if $select is applied to expanded entity 2016-05-25 09:12 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 05:59:50 EST
Description of problem:
*URL:* http://localhost:8080/odata4/olingo_basic/Source/Customers/?$expand=Orders_FK0($select=place)
*Result:* OData Library: An exception without message text was thrown.
*Status code:* 500
Comment 1 JBoss JIRA Server 2016-03-21 12:08:04 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4045 to Coding In Progress
Comment 2 JBoss JIRA Server 2016-03-21 13:00:09 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-4045 to Resolved
Comment 3 Juraj Duráni 2016-05-25 09:15:27 EDT
No exception thrown. Verified.

Note You need to log in before you can comment on or make changes to this bug.